## com.google.apphosting.api
Class ApiProxy.ApiDeadlineExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.apphosting.api.ApiProxy.ApiProxyException
                      com.google.apphosting.api.ApiProxy.ApiDeadlineExceededException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ApiProxy

    public static class ApiProxy.ApiDeadlineExceededException

extends ApiProxy.ApiProxyException

See Also:
  Serialized Form

Constructor Summary
`ApiProxy.ApiDeadlineExceededException(java.lang.String packageName, java.lang.String methodName)`

Method Summary
`ApiProxy.ApiDeadlineExceededException` `cloneWithoutStackTrace()`

Methods inherited from class com.google.apphosting.api.ApiProxy.ApiProxyException
`copy`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApiProxy.ApiDeadlineExceededException

    public ApiProxy.ApiDeadlineExceededException(java.lang.String packageName,
                                                 java.lang.String methodName)

Method Detail

### cloneWithoutStackTrace

    public ApiProxy.ApiDeadlineExceededException cloneWithoutStackTrace()